MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
Agents
Auth
Billing
Bundler
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Create CredentialDelete CredentialList Credential AssignmentsList CredentialsUpdate Credential
Deployments
Discover
Embedding
Fleet
Knowledge Bases
LLM
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisations
Realtime
Reviews
Roadmap
SCIM
STT
Suppression
Triggers
TTS
Users
Utils
Voices
Webhooks
Workflows
API ReferenceCredentials

List Credential Assignments

GET
/v1/credentials/{credential_id}/assignments

Every resource and scope this credential is offered or mandated at.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Path Parameters

credential_id*Credential Id
Formatuuid

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/credentials/497f6eca-6276-4993-bfeb-53cbbbba6f08/assignments"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "credential_id": "13c40afa-2996-4a0c-b2e9-68fba9462242",    "resource_kind": "provider",    "resource_id": "4d5215ed-38bb-48ed-879a-fdb9ca58522f",    "scope_kind": "org",    "scope_id": "5d3fe357-12dd-4f62-b004-6d1fb3b8454f",    "policy": "mandated",    "purpose": "runtime",    "is_default": true,    "endpoint": "string",    "model_name": "string"  }]
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Delete Credential

Previous Page

List Credentials

Next Page